# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetPart

Function

Returns the parts of an Object by index.

Syntax
`
#include <dx/dx.h>
`

Field DXGetPart(Object o, int n)

Functional Details

The parts of a Group may be indexed by calling `DXGetPart` with successive values of `n` starting with 0 until `NULL` is returned. This call is equivalent to `DXGetPartClass` with the class parameter set to `CLASS_FIELD`.

Note: | The `DXGetPart`, `DXGetPartClass`, and `DXSetPart` routines are useful primarily for prototyping or in cases where their convenience outweighs efficiency concerns. The `DXProcessParts` routine can often be used for the same purposes with better efficiency.

Return Value

Returns the `n`th part or returns `NULL`.

See Also

`DXGetPartClass, DXProcessParts, DXSetPart`

"Parts".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]